<template>
  <view class="page" :style="bgStyle">
		<navbar title="客服" leftClick @leftClick="$utils.navigateBack" />
 
    <!-- todo -->
    <image class="qr" :src="configList.index_huodong" :show-menu-by-longpress="true"></image>

  </view>
</template>

<script>
	import { mapState } from 'vuex'

	export default {
		data() {
			return {
      }
    },
		computed: {
			...mapState(['configList']),
      bgStyle() {
        return `background-image: url(${ this.configList.codeImg}); background-size: contain;`
      }
		},
    onLoad() {
    },
  }
</script>

<style scoped lang="scss">
.page {
  width: 100vw;
  height: 100vh;

  position: relative;

  overflow: hidden;
}

.bg {
  width: 100vw;
  height: calc(100vh - #{$navbar-height} - var(--status-bar-height) - 20rpx);
}

.qr {
  position: absolute;
  top: 854rpx;
  left: 50%;
  transform: translateX(-50%);

  width: 316rpx;
  height: 316rpx;
}
</style>